datacache <- new.env(hash=TRUE, parent=emptyenv())

ragene10strnrefseq <- function() showQCData("ragene10strnrefseq", datacache)
ragene10strnrefseq_dbconn <- function() dbconn(datacache)
ragene10strnrefseq_dbfile <- function() dbfile(datacache)
ragene10strnrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
ragene10strnrefseq_dbInfo <- function() dbInfo(datacache)

ragene10strnrefseqORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "ragene10strnrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "ragene10strnrefseq", "chip ragene10strnrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("ragene10strnrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(ragene10strnrefseq_dbconn())
}

